VISPR - A visualization framework for CRISPR data.
==================================================

VISPR is a web-based, interactive visualization framework for CRISPR/Cas9 knockout screen experiments.

Installation
------------

The easiest way to install VISPR is to use the Miniconda Python distribution (http://conda.pydata.org/miniconda.html). 
We recommend to use the Python 3.4 variant.
With miniconda installed, you can issue

    conda install -c liulab vispr

to install or update VISPR with all dependencies.
If you are using an old version of MacOS X and the `conda` command is not available after installation of Miniconda, you have to change your shell to `bash`. To do this permanently, issue

    chsh -s /bin/bash

Usage
-----

After successful installation, you can test VISPR with example data by executing

    vispr test

in a terminal. VISPR takes [MAGeCK](http://liulab.dfci.harvard.edu/Mageck) and [FastQC](http://www.bioinformatics.babraham.ac.uk/projects/fastqc) results as input. These are provided along with additional parameters as config files. One config file defines one set of results (i.e. one experiment).
VISPR can be invoked with multiple config files (i.e. multiple experiments), allowing to select and compare experiments via the user interface. The easiest way to generate your own data and create vispr config files is to use the [MAGeCK-VISPR](https://bitbucket.org/liulab/mageck-vispr) workflow.
If you don't want to use the workflow, you can manually create a VISPR config by issueing

    vispr config

to obtain a template for modification.
Once you have a config file (either generated by the workflow or manually, you can issue

    vispr server path/to/config.yaml

to start a server process that renders the VISPR user interface in a webbrowser.
Further, you can compress results into an archive that can easily be sent via email:

    vispr archive path/to/config.yaml myexperiment.tar.bz2

Then, even on a different workstation, the results can be extracted and visualized with VISPR:

    tar -xf myexperiment.tar.bz2
    vispr server myexperiment/vispr.yaml

For further help, explore all command line options of VISPR with

    vispr --help

Author
------

Johannes Köster <koester@jimmy.harvard.edu>

License
-------

Licensed under the MIT license (http://opensource.org/licenses/MIT). This project may not be copied, modified, or distributed except according to those terms.